/*
 * data.c   V1.3
 *
 * global data
 *
 * (c) 1991 by Stefan Becker
 *
 */
#include "ToolManager.h"

/* Version string */
MyIdent="$VER: ToolManager " TM_VERSION " (" TM_DATE ")";

/* Structures for icon */
static __chip UWORD ImageData[]={ /* Graphic data (48x48 Pixels) */
 0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,
 0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,0x3fff,0xffff,0xfffC,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,0x0000,0x7ffE,0x0000,
 0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000};
static struct Image MyIconImage={NULL,NULL,48,24,1,ImageData,1,0,NULL};
static struct DiskObject InternalIcon={NULL,NULL,
               /* Gadget definition */ {NULL,NULL,NULL,48,25,NULL,NULL,NULL,
                                        &MyIconImage,NULL,NULL,NULL,NULL,NULL,
                                        NULL},
                                       NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL};
struct DiskObject *MyIcon=&InternalIcon;
LONG IconXPos=NO_ICON_POSITION;
LONG IconYPos=NO_ICON_POSITION;
BOOL ShowIcon=TRUE;
struct AppIcon *MyAppIcon;

/* Structures for message port */
struct MsgPort *MyMP;

/* List for ToolNodes */
struct List ToolList; /* This list contains ToolNodes */
UWORD ToolCount=0;    /* Number of tools in ToolList */
ULONG wbactive=0;     /* Active WB tools */

/* Name of the message port & icon */
char MyName[]="ToolManager";

/* Name of the configuration file */
char InternalConfigName[]="S:ToolManager.Config";
char *ConfigName=NULL;

/* Structures for window */
UBYTE WindowTitle[]="ToolManager V" TM_VERSION " " TM_CRYEAR " by S. Becker";
struct NewWindow nw={20,20,640,256,0,1,CLOSEWINDOW|REFRESHWINDOW|GADGETUP|
                     GADGETDOWN|MOUSEMOVE|INTUITICKS,WINDOWDRAG|WINDOWDEPTH|
                     WINDOWCLOSE|SIMPLE_REFRESH|ACTIVATE,NULL,
                     NULL,WindowTitle,NULL,NULL,0,0,0,0,0};
